<?php
  header("Access-Control-Allow-Origin: *");
  header("Content-Type: application/json; charset=UTF-8");
  header("Access-Control-Allow-Methods: GET");
  header("Access-Control-Max-Age: 3600");
  header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

  // Get the cell parameter from the request URL
  $userid = $_GET['userid'];
  
     // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

  // Connect to the database
  include '../config/database2.php';

  // Check connection
  if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
  }

  // Fetch all addresses associated with the user
  $stmt = $conn->prepare(" SELECT userAddress.*, streetAddresses.street AS regionname, streetAddresses.shippingFee
FROM userAddress
JOIN streetAddresses ON userAddress.region = streetAddresses.id
WHERE userAddress.userid = ?");
 

  $stmt->bind_param("i", $userid);
  $stmt->execute();
  $result = $stmt->get_result();

  // If no addresses were found, return an empty array
  if ($result->num_rows == 0) {
      
       $addresses = [];
       
    $response = $addresses;
  } else {
    // Otherwise, create an array of address objects
    $addresses = [];
    while ($row = $result->fetch_assoc()) {
      $address = [
        'id' => $row['id'],
        'name' => $row['name'],
        'email' => $row['email'],
        'mobile' => $row['mobile'],
        'road' => $row['road'],
        'building' => $row['building'],
        'houseNo' => $row['houseNo'],
        'floor' => $row['floor'],
        'region' => $row['region'],
         'regionname' => $row['regionname'],
          'shippingFee' => $row['shippingFee'],
        'moreinfor' => $row['moreinfor'],
        'default1' => $row['default'],
        
        
     
      ];
      array_push($addresses, $address);
    }

    // Return the addresses as a JSON response
    $response =  $addresses;
  }

  echo json_encode($response);

  $conn->close();
?>
