<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");


  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Get the JSON data from the request body
$json = file_get_contents('php://input');
$data = json_decode($json, true);

// Check if JSON decoding was successful
if ($data === null && json_last_error() !== JSON_ERROR_NONE) {
  http_response_code(400);
  $response['error'] = true;
  $response['message'] = 'Invalid JSON data';
  echo json_encode($response, JSON_UNESCAPED_UNICODE);
  exit();
}

// Extract the data fields
$name = isset($data['name']) ? $data['name'] : '';
$email = isset($data['email']) ? $data['email'] : '';
$phone = isset($data['phone']) ? $data['phone'] : '';
$message = isset($data['message']) ? $data['message'] : '';
$branchid = isset($data['branchid']) ? $data['branchid'] : '';

// Connect to the database
include '../config/database2.php';

// Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
}

$stmt = $conn->prepare("INSERT INTO Messages (name, email, phone, message, branchid) VALUES (?, ?, ?, ?, ?)");
$stmt->bind_param("sssss", $name, $email, $phone, $message, $branchid);
$result = $stmt->execute();
$stmt->close();

if ($result) {
  http_response_code(200);
  $response['error'] = false;
  $response['message'] = 'Message sent successfully';
  echo json_encode($response, JSON_UNESCAPED_UNICODE);
} else {
  http_response_code(500);
  $response['error'] = true;
  $response['message'] = 'Failed to send message';
  echo json_encode($response, JSON_UNESCAPED_UNICODE);
}
?>
