<?php
  header("Access-Control-Allow-Origin: *");
  header("Content-Type: application/json; charset=UTF-8");
  header("Access-Control-Allow-Methods: POST");
  header("Access-Control-Max-Age: 3600");
  header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
    
  $json = file_get_contents('php://input');
  $data = json_decode($json, true);

  $fullname = $data['fullname'];
  $email = $data['email'];
  $phone = $data['phone'];
  $branchid = $data['branchid'];
   $branchname= $data['branchname'];

  // Generate a random 6-digit OTP
  $otp = strval(mt_rand(100000, 999999));

  // Connect to the database

   include '../../config/database2.php';


  // Check connection
  if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
  }

  // Check if phone or email already exists
  $stmt = $conn->prepare("SELECT * FROM riders WHERE phone = ? OR email = ?");
  $stmt->bind_param("ss", $phone, $email);
  $stmt->execute();
  $result = $stmt->get_result();

  if ($result->num_rows > 0) {
    // Return an error message if the phone or email already exists
    $response = [
      'success' => false,
      'message' => 'Registration failed. Phone or email already exists.'
    ];

    echo json_encode($response);
  } else {
    // Insert the new rider into the database
    $stmt = $conn->prepare("INSERT INTO riders (fullname, email, phone, branchid, otp) VALUES (?, ?, ?, ?, ?)");
    $stmt->bind_param("ssssi", $fullname, $email, $phone, $branchid, $otp);
    $success = $stmt->execute();

    if ($success) {
        
          $message = "Dear $fullname,You have been successfully registered as a Kassmatt rider at $branchname .Please reset your password to login.";
          
 
    // Send the OTP to the phone number of the user
    $postData = array(
      'acc_no' => '0311',
      'api_key' => 'T3d2p2m4g7R8zEZejUr6h8h5tAv8PAD1',
      'sender_id' => 'KASSMATT_SM',
      'message' => $message,
      'msisdn' => $phone,
      'dlr_url'=> '',
      'linkID'=> ''
    );

    $url="https://isms.infosky.co.ke/sms2/api/v1/send-sms";

    $ch = curl_init();
    curl_setopt_array($ch, array(
      CURLOPT_URL => $url,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_POST => true,
      CURLOPT_POSTFIELDS => $postData
    ));

    $sms_success = curl_exec($ch);
    
    if ( $sms_success) {
       
      // Return a success message and the OTP if the registration was successful
      $response = [
        'success' => true,
        'message' => 'Registration successful.' 
      ];

      echo json_encode($response);
    } else {
      $response = [
        'success' => false,
        'message' => 'Unable to send OTP. Please try again later.'
      ];
      echo json_encode($response);

    }
   
    } else {
      // Return an error message if the registration failed
      $response = [
        'success' => false,
        'message' => 'Registration failed.'
      ];

      echo json_encode($response);
    }
  }

  $conn->close();
?>
