<?php
  header("Access-Control-Allow-Origin: *");
  header("Content-Type: application/json; charset=UTF-8");
  header("Access-Control-Allow-Methods: POST");
  header("Access-Control-Max-Age: 3600");
  header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
  
  
    // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

  // Get the JSON data from the request body
  $json = file_get_contents('php://input');
  $data = json_decode($json, true);

  // Extract the data fields
  $userid = $data['userid'];
  $usercell = $data['usercell'];
  $name = $data['name'];
  $email = $data['email'];
  $mobile = $data['mobile'];
  $road = $data['road'];
  $building = $data['building'];
  $houseNo = $data['houseNo'];
  $floor = $data['floor'];
  $region = $data['region'];
  $moreinfor = $data['moreinfor'];
  $default = $data['default1'];

  // Connect to the database
  include '../config/database2.php';

  // Check connection
  if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
  }


 
  

// Check if the user already has a default address
if ($default) {
  $stmt = $conn->prepare("UPDATE userAddress SET `default` = 0 WHERE userid= ?");
  $stmt->bind_param("i", $userid);
  $stmt->execute();
}

// Check if an address with the given cell number already exists
$stmt = $conn->prepare("SELECT COUNT(*) FROM userAddress WHERE userid = ?");
$stmt->bind_param("i", $userid);
$stmt->execute();
$stmt->store_result(); // Store the result
$stmt->bind_result($count);
$stmt->fetch();
$stmt->free_result(); // Free the result

// If an address with the given cell number doesn't exist, set default to 1
if ($count == 0) {
  $default = 1;
}

// Insert the new user address into the database
$stmt = $conn->prepare("INSERT INTO userAddress (userid, cell, name, email, mobile, road, building, houseNo, floor, region, moreinfor, `default`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
$stmt->bind_param("issssssssssi", $userid, $usercell, $name, $email, $mobile, $road, $building, $houseNo, $floor, $region, $moreinfor, $default);
$stmt->execute();



  // Return a success response
  $response = [
    'success' => true,
    'message' => 'Address saved successfully.'
  ];

  echo json_encode($response);

  $conn->close();
?>
