<?php

// Retrieve the query parameters from the API call
$merchantRequestID = $_GET['merchantRequestID'];
$checkoutRequestID = $_GET['checkoutRequestID'];

// Connect to the database
include '../config/database2.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Prepare the select statement to check if the payment exists
$stmt = $conn->prepare("SELECT id, ResultCode FROM payments_new WHERE merchant_request_id = ? AND checkout_request_id = ?");
$stmt->bind_param("ss", $merchantRequestID, $checkoutRequestID);
$stmt->execute();
$stmt->store_result();

if ($stmt->num_rows > 0) {
    // Payment exists, fetch the result code and id
    $stmt->bind_result($id, $resultCode);
    $stmt->fetch();

    if ($resultCode == 0) {
        // Payment was successfully paid
        $message = "Payment was successful";
        $responseCode = 200;
        
        // Prepare the response data
        $responseData = array(
            'message' => $message,
            'id' => $id
        );
    } else {
        // Payment was not successfully paid
        $message = "Payment was not successful";
        $responseCode = 400;
        
        // Prepare the response data
        $responseData = array(
            'message' => $message
        );
    }
} else {
    // Payment was not placed
    $message = "Payment was not placed.";
    $responseCode = 400;
    
    // Prepare the response data
    $responseData = array(
        'message' => $message
    );
}

// Set the response code
http_response_code($responseCode);

// Set the response header and encode the response data as JSON
header('Content-Type: application/json');
echo json_encode($responseData);


// Close the database connection
$stmt->close();
$conn->close();

// Create the response array
$response = array(
    'message' => $message,
    'response_code' => $responseCode
);

// Send the JSON response
header('Content-Type: application/json');
echo json_encode($response);
