<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

$json = file_get_contents('php://input');
$data = json_decode($json, true);


  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

$merchantRequestID = $data['merchantRequestID'];
$checkoutRequestID = $data['checkoutRequestID'];

// Connect to the database
include '../config/database3.php';

// Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
}

$startTime = time();
$maxDuration = 60; // 1 minute
$result = null;

while (time() - $startTime <= $maxDuration) {
  // Query the database to check if the desired column values exist
  $stmt = $conn->prepare("SELECT ResultCode, ResultDesc FROM payments_new WHERE merchant_request_id = ? AND checkout_request_id = ?");
  $stmt->bind_param("ss", $merchantRequestID, $checkoutRequestID);
  $stmt->execute();
  $stmt->bind_result($resultCode, $resultDesc);
  
  if ($stmt->fetch()) {
    // Column values found, break the loop
    $result = [
      'resultCode' => $resultCode,
      'resultDesc' => $resultDesc
    ];
    break;
  }

  // Wait for 1 seconds before querying again
  sleep(1);
}

if ($result) {
  if ($result['resultCode'] == 0) {
    $response = [
      'success' => true,
      'message' => 'Payment processed successfully' 
    ];
  } else {
    $response = [
      'success' => false,
      'message' => '' . $result['resultDesc']
    ];
  }
} else {
  $response = [
    'success' => false,
    'message' => ' No result found ,timed out'
  ];
}

echo json_encode($response);

$conn->close();
?>
