<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';

if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

$json = file_get_contents('php://input');
$data = json_decode($json, true);

$cell = $data['cell'];
$code = $data['code'];
$password = $data['password'];

// Connect to the database
include '../config/database3.php';

// Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
}

// Prepare and execute the SQL statement
$stmt = $conn->prepare("SELECT Mobile,OTP FROM members WHERE Mobile = ?");
$stmt->bind_param("s", $cell);
$stmt->execute();
$result = $stmt->get_result();

// Check if a user was found
if ($result->num_rows > 0) {
  $user = $result->fetch_assoc();

  // Check if the code matches
  if ($code == $user['OTP']) {

    // Hash the new password
    $hashedPassword = md5($password);
    
    // Generate a new OTP
    $otp = rand(100000, 999999);

    // Update the user's password
    $stmt = $conn->prepare("UPDATE members SET Password = ?, OTP = ? WHERE Mobile = ?");
    $stmt->bind_param("ssi", $hashedPassword, $otp, $cell);
    $stmt->execute();

    // Return success response
    $response = [
        'success' => true,
        'message' => 'Password updated successfully.'
    ];

    echo json_encode($response);
  } else {
    // Return an error message if the code doesn't match
    $response = [
        'success' => false,
        'message' => 'Code does not match,try again.'
    ];

    echo json_encode($response);
  }
} else {
  // Return an error message if no user was found
  $response = [
      'success' => false,
      'message' => 'User not found.'
  ];

  echo json_encode($response);
}

$conn->close();
?>
